Page MenuHomePhabricator

Infobox, hatnote and Lead paragraph should be first class citizens on "lead" object and not appear in the lead text
Closed, ResolvedPublic

Description

Rather than disrupt the content of the lead paragraph, instead we should promote these to first class citizens.
The change would look like this:
https://github.com/jdlrobson/weekipedia/commit/6c8a9ed6c7be72797635c729f9ef48fecf06b0ed

and arguably results in a much cleaner version of the existing process of moving the lead paragraph:
See for yourself here: https://trending.wmflabs.org

In particular notice how the hatnote appears twice in this example:
https://trending.wmflabs.org/wiki/Sunderland%20A.F.C.

The second instance would disappear with this transition. I've submitted patches showing how we could do this while keeping backwards compatibility.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 7 2016, 11:09 PM

Change 309200 had a related patch set uploaded (by Jdlrobson):
Extract infobox into its own property

https://gerrit.wikimedia.org/r/309200

Change 309218 had a related patch set uploaded (by Jdlrobson):
Extract first paragraph from lead section

https://gerrit.wikimedia.org/r/309218

Jdlrobson renamed this task from Infobox and Lead paragraph should be first class citizens to Infobox, hatnote and Lead paragraph should be first class citizens on "lead" object and not appear in the lead text.Sep 27 2016, 11:09 PM

Change 309200 merged by jenkins-bot:
Extract infobox into its own property on new experimental endpoint

https://gerrit.wikimedia.org/r/309200

Change 309218 merged by jenkins-bot:
Extract introduction from lead section in new experimental endpoint

https://gerrit.wikimedia.org/r/309218

Jdlrobson closed this task as Resolved.Nov 9 2016, 8:29 AM
Jdlrobson claimed this task.